Package org.eclipse.jdt.junit.wizards

# Enum Class NewTestCaseWizardPageOne.JUnitVersion

java.lang.Object
java.lang.Enum<NewTestCaseWizardPageOne.JUnitVersion>
org.eclipse.jdt.junit.wizards.NewTestCaseWizardPageOne.JUnitVersion

All Implemented Interfaces:
  `Serializable`, `Comparable<NewTestCaseWizardPageOne.JUnitVersion>`, `Constable`

Enclosing class:
  `NewTestCaseWizardPageOne`

public static enum NewTestCaseWizardPageOne.JUnitVersion extends Enum<NewTestCaseWizardPageOne.JUnitVersion>
Available JUnit versions.

Since:
  3.11

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`VERSION_3`
`VERSION_4`
`VERSION_5`

## Field Summary

Fields
Modifier and Type
Field
Description
`final String[]`
`buttonNames`

## Method Summary

Modifier and Type
Method
Description
`static NewTestCaseWizardPageOne.JUnitVersion`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static NewTestCaseWizardPageOne.JUnitVersion[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### VERSION_3

public static final NewTestCaseWizardPageOne.JUnitVersion VERSION_3

### VERSION_4

public static final NewTestCaseWizardPageOne.JUnitVersion VERSION_4

### VERSION_5

public static final NewTestCaseWizardPageOne.JUnitVersion VERSION_5

## Field Details

### buttonNames

public final String[] buttonNames

Since:
  3.12

## Method Details

### values

public static NewTestCaseWizardPageOne.JUnitVersion[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static NewTestCaseWizardPageOne.JUnitVersion valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null